## op-panel 17.06.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

REPO            ?= onepanel

# distro for package building (oneof: wily, fedora-23-x86_64)
DISTRIBUTION    ?= none
export DISTRIBUTION

BASE_DIR        := $(shell pwd)
GIT_URL := $(shell git config --get remote.origin.url | sed -e 's/\(\/[^/]*\)$$//g')
GIT_URL := $(shell if [ "${GIT_URL}" = "file:/" ]; then echo 'ssh://git@git.plgrid.pl:7999/vfs'; else echo ${GIT_URL}; fi)
ONEDATA_GIT_URL := $(shell if [ "${ONEDATA_GIT_URL}" = "" ]; then echo ${GIT_URL}; else echo ${ONEDATA_GIT_URL}; fi)
export ONEDATA_GIT_URL

PKG_REVISION    ?= $(shell git describe --tags --always)
PKG_VERSION     ?= $(shell git describe --tags --always | tr - .)
PKG_BUILD       := 1
PKG_VARS_CONFIG := rel/pkg.vars.config
ERLANG_BIN      := $(shell dirname $(shell which erl))
REBAR           ?= $(BASE_DIR)/rebar3
TEMPLATE_SCRIPT := ./rel/templates/overlay.escript

ifeq ($(strip $(REL_TYPE)),onezone)
TEMPLATE_CONFIG := ./rel/templates/onezone.config
PKG_ID          := oz-panel-$(PKG_VERSION)
else ifeq ($(strip $(REL_TYPE)),oneprovider)
TEMPLATE_CONFIG := ./rel/templates/oneprovider.config
PKG_ID          := op-panel-$(PKG_VERSION)
else
TEMPLATE_CONFIG := ./rel/templates/dev.config
PKG_ID          := onepanel-$(PKG_VERSION)
endif

LIB_DIR          = _build/default/lib
REL_DIRS         = _build/default/rel
OVERLAY_VARS    ?= --overlay_vars=rel/vars.config

all: rel

.PHONY: upgrade
upgrade: config
	$(REBAR) upgrade

.PHONY: compile
compile: config
	$(REBAR) compile

.PHONY: generate
generate: template config gui-static
	$(REBAR) release $(OVERLAY_VARS)

.PHONY: clean
clean: config relclean pkgclean
	$(REBAR) clean

.PHONY: distclean
distclean: config
	$(REBAR) clean --all

.PHONY: template
template:
	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/pkg.vars.config.template
	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/vars.config.template
	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/files/app.config.template
	$(TEMPLATE_SCRIPT) rel/vars.config ./rel/files/vm.args.template

config:
	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rebar.config.template

gui-static:
	$(LIB_DIR)/gui/pull-gui.sh gui-config.sh


##
## Testing targets
##

.PHONY: eunit
eunit: config
	$(REBAR) do eunit skip_deps=true suites=${SUITES}, cover
## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done

.PHONY: coverage
coverage:
	$(BASE_DIR)/bamboos/docker/coverage.escript $(BASE_DIR)

##
## Release targets
##

.PHONY: doc
doc: config
	@$(REBAR) edoc skip_deps=true

.PHONY: rel
rel: config compile generate

.PHONY: relclean
relclean:
	rm -rf _build/default/rel/onepanel

##
## Dialyzer targets local
##

# Dialyzes the project.
dialyzer: config
	$(REBAR) dialyzer

##
## Packaging targets
##

check_distribution:
ifeq ($(DISTRIBUTION), none)
	@echo "Please provide package distribution. Oneof: 'wily', 'fedora-23-x86_64'"
	@exit 1
else
	@echo "Building package for distribution $(DISTRIBUTION)"
endif

package/$(PKG_ID).tar.gz:
	mkdir -p package
	rm -rf package/$(PKG_ID)
	git archive --format=tar --prefix=$(PKG_ID)/ $(PKG_REVISION) | (cd package && tar -xf -)
	${MAKE} -C package/$(PKG_ID) config upgrade gui-static template
	for dep in package/$(PKG_ID) package/$(PKG_ID)/$(LIB_DIR)/*; do \
	     echo "Processing dependency: `basename $${dep}`"; \
	     vsn=`git --git-dir=$${dep}/.git describe --tags 2>/dev/null`; \
	     mkdir -p $${dep}/priv; \
	     echo "$${vsn}" > $${dep}/priv/vsn.git; \
	     sed -i'' "s/{vsn,\\s*git}/{vsn, \"$${vsn}\"}/" $${dep}/src/*.app.src 2>/dev/null || true; \
	done
	tar -C package -czf package/$(PKG_ID).tar.gz $(PKG_ID)

dist: package/$(PKG_ID).tar.gz
	cp package/$(PKG_ID).tar.gz .

package: check_distribution package/$(PKG_ID).tar.gz
	${MAKE} -C package -f $(PKG_ID)/node_package/Makefile

pkgclean:
	rm -rf package

=== _build/default/lib/bcrypt/Makefile ===
all: compile

compile:
	@rebar compile

tests:
	@rebar eunit

clean:
	@rebar clean

.PHONY: clean compile tests

=== _build/default/lib/cowboy/Makefile ===
# See LICENSE for licensing information.

PROJECT = cowboy

# Options.

ERLC_OPTS ?= -Werror +debug_info +warn_export_all +warn_export_vars \
	+warn_shadow_vars +warn_obsolete_guard +warn_missing_spec
COMPILE_FIRST = cowboy_middleware cowboy_sub_protocol
CT_OPTS += -pa test -ct_hooks cowboy_ct_hook []
PLT_APPS = crypto public_key ssl

# Dependencies.

DEPS = cowlib ranch
TEST_DEPS = ct_helper gun
dep_ct_helper = git https://github.com/extend/ct_helper.git master

# Standard targets.

include erlang.mk

# Documentation.

dep_ezdoc = git https://github.com/ninenines/ezdoc master
$(eval $(call dep_target,ezdoc))

build-doc-deps: $(DEPS_DIR)/ezdoc
	$(MAKE) -C $(DEPS_DIR)/ezdoc

define ezdoc_script
io:format("Building manual~n"),
[begin
	AST = ezdoc:parse_file(F),
	BF = filename:rootname(filename:basename(F)),
	io:format("  ~s~n", [BF]),
	file:write_file("doc/markdown/manual/" ++ BF ++ ".md", ezdoc_markdown:export(AST)),
	case BF of
		"cowboy" ++ _ when BF =/= "cowboy_app" ->
			file:write_file("doc/man3/" ++ BF ++ ".3", ezdoc_man:export(3, AST));
		_ when BF =/= "index" ->
			file:write_file("doc/man7/" ++ BF ++ ".7", ezdoc_man:export(7, AST));
		_ ->
			ok
	end
end || F <- filelib:wildcard("doc/src/manual/*.ezdoc")],
io:format("Building guide~n"),
[begin
	AST = ezdoc:parse_file(F),
	BF = filename:rootname(filename:basename(F)),
	io:format("  ~s~n", [BF]),
	file:write_file("doc/markdown/guide/" ++ BF ++ ".md", ezdoc_markdown:export(AST))
end || F <- filelib:wildcard("doc/src/guide/*.ezdoc")],
io:format("Done.~n"),
init:stop().
endef
export ezdoc_script

docs:: clean-docs build-doc-deps
	@mkdir -p doc/man3 doc/man7 doc/markdown/guide doc/markdown/manual
	$(gen_verbose) erl -noinput -pa ebin deps/ezdoc/ebin -eval "$$ezdoc_script"
	@gzip doc/man3/*.3 doc/man7/*.7
	@cp doc/src/guide/*.png doc/markdown/guide

clean-docs:
	$(gen_verbose) rm -rf doc/man3 doc/man7 doc/markdown

MAN_INSTALL_PATH ?= /usr/local/share/man

install-docs:
	mkdir -p $(MAN_INSTALL_PATH)/man3/ $(MAN_INSTALL_PATH)/man7/
	install -g 0 -o 0 -m 0644 doc/man3/*.gz $(MAN_INSTALL_PATH)/man3/
	install -g 0 -o 0 -m 0644 doc/man7/*.gz $(MAN_INSTALL_PATH)/man7/

=== _build/default/lib/cowlib/Makefile ===
# See LICENSE for licensing information.

PROJECT = cowlib
PLT_APPS = crypto

include erlang.mk

.PHONY: gen perfs

# Mimetypes module generator.

GEN_URL = http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
GEN_SRC = src/cow_mimetypes.erl.src
GEN_OUT = src/cow_mimetypes.erl

gen:
	$(gen_verbose) cat $(GEN_SRC) \
		| head -n `grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		> $(GEN_OUT)
	$(gen_verbose) wget -qO - $(GEN_URL) \
		| grep -v ^# \
		| awk '{for (i=2; i<=NF; i++) if ($$i != "") { \
			split($$1, a, "/"); \
			print "all_ext(<<\"" $$i "\">>) -> {<<\"" \
				a[1] "\">>, <<\"" a[2] "\">>, []};"}}' \
		| sort \
		| uniq -w 25 \
		>> $(GEN_OUT)
	$(gen_verbose) cat $(GEN_SRC) \
		| tail -n +`grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		>> $(GEN_OUT)

# Performance testing.

deps/horse:
	git clone -n -- https://github.com/extend/horse $(DEPS_DIR)/horse
	cd $(DEPS_DIR)/horse ; git checkout -q master
	$(MAKE) -C $(DEPS_DIR)/horse

perfs: ERLC_OPTS += -DPERF=1 +'{parse_transform, horse_autoexport}' -DEXTRA=1
perfs: clean deps deps/horse app
	$(gen_verbose) erl -noshell -pa ebin deps/horse/ebin \
		-eval 'horse:app_perf($(PROJECT)), init:stop().'

=== _build/default/lib/ctool/Makefile ===
LIB_DIR = _build/default/lib
GIT_URL := $(shell git config --get remote.origin.url | sed -e 's/\(\/[^/]*\)$$//g')
GIT_URL := $(shell if [ "${GIT_URL}" = "file:/" ]; then echo 'ssh://git@git.plgrid.pl:7999/vfs'; else echo ${GIT_URL}; fi)
ONEDATA_GIT_URL := $(shell if [ "${ONEDATA_GIT_URL}" = "" ]; then echo ${GIT_URL}; else echo ${ONEDATA_GIT_URL}; fi)
export ONEDATA_GIT_URL

.PHONY: upgrade

all: compile

upgrade:
	@./rebar3 upgrade

compile:
	@./rebar3 compile

clean:
	@./rebar3 clean

distclean:
	@./rebar3 clean --all

##
## Dialyzer targets local
##

# Dialyzes the project.
dialyzer:
	@./rebar3 dialyzer

##
## Testing
##

eunit:
	./rebar3 eunit skip_deps=true suites=${SUITES}
## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done

=== _build/default/lib/edown/Makefile ===
.PHONY: all compile clean doc

all: compile

compile:
	./rebar compile

clean:
	./rebar clean

doc: compile
	./make_doc

=== _build/default/lib/exometer_core/Makefile ===
.PHONY: all clean clean_plt deps compile test doc dialyzer xref ci

EXOMETER_PLT=exometer_core.plt
DIALYZER_OPTS = # -Wunderspecs
DIALYZER_APPS = erts kernel stdlib compiler syntax_tools \
		test_server common_test folsom \
		parse_trans setup

all: deps compile xref test

ci: deps compile xref dialyzer test

deps:
	rebar get-deps

compile:
	rebar compile

clean: clean_plt
	rebar clean

clean-all: clean
	rm -rf deps

test:
	ERL_LIBS=./examples rebar ct skip_deps=true

xref:
	ERL_LIBS=./deps rebar xref skip_deps=true

edown_deps:
	rebar get-deps compile edown=true

doc: edown_deps
	rebar doc edown=true skip_deps=true

$(EXOMETER_PLT):
	rebar get-deps compile
	ERL_LIBS=deps dialyzer --build_plt --output_plt $(EXOMETER_PLT) \
	--apps $(DIALYZER_APPS) | \
	fgrep -v -f ./dialyzer.ignore-warnings

clean_plt:
	rm -f $(EXOMETER_PLT)

dialyzer: deps compile $(EXOMETER_PLT)
	dialyzer -r ebin --plt $(EXOMETER_PLT) $(DIALYZER_OPTS) | \
	fgrep -v -f ./dialyzer.ignore-warnings

=== _build/default/lib/gui/Makefile ===
GIT_URL := $(shell git config --get remote.origin.url | sed -e 's/\(\/[^/]*\)$$//g')
GIT_URL := $(shell if [ "${GIT_URL}" = "file:/" ]; then echo 'ssh://git@git.plgrid.pl:7999/vfs'; else echo ${GIT_URL}; fi)
ONEDATA_GIT_URL := $(shell if [ "${ONEDATA_GIT_URL}" = "" ]; then echo ${GIT_URL}; else echo ${ONEDATA_GIT_URL}; fi)
export ONEDATA_GIT_URL

.PHONY: upgrade

all: compile

upgrade:
	@./rebar3 upgrade

compile:
	@./rebar3 compile

clean:
	@./rebar3 clean

##
## Dialyzer targets local
##

# Dialyzes the project.
dialyzer:
	@./rebar3 dialyzer

##
## Testing
##

eunit:
	./rebar3 do eunit skip_deps=true suites=${SUITES}, cover
## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done

=== _build/default/lib/hut/Makefile ===
PROJECT = hut
PROJECT_DESCRIPTION = helper library for making Erlang libraries logging framework agnostic
PROJECT_VERSION = 1.1.1

BUILD_DEPS = hexer_mk
dep_hexer_mk = git https://github.com/inaka/hexer.mk.git 1.1.0
DEP_PLUGINS = hexer_mk

ifneq (,$(filter $(shell uname -s),FreeBSD DragonFly))
make = gmake
else
make = make
endif

ci:: all
	cd examples/basic && $(make) run_example_default
	cd examples/basic && $(make) run_example_default_no_gate
	cd examples/basic && $(make) run_example_default_debug_enabled
	cd examples/basic && $(make) run_example_default_warning_enabled
	cd examples/basic && $(make) run_example_noop
	cd examples/basic && $(make) run_example_ioformat
	cd examples/basic && $(make) run_example_custom
	cd examples/basic && $(make) run_example_lager
	cd examples/basic && $(make) run_example_lager_custom_sink

include erlang.mk

=== _build/default/lib/idna/Makefile ===
all: clean compile

clean:
	@rm -rf ebin/*.beam

compile:
	@test -d ebin || mkdir ebin
	@erl -pa ebin -make

test:
	@escript test.escript

.PHONY: test


GEN_FILE=UnicodeData.txt
GEN_URL=http://www.unicode.org/Public/UNIDATA/UnicodeData.txt
GEN_SRC=src/idna_unicode_data.erl.src
GEN_OUT=src/idna_unicode_data.erl

gen:
	@wget -qO $(GEN_FILE) $(GEN_URL)
	@cat $(GEN_SRC) \
		| head -n `grep -n "%% GENERATED" $(GEN_SRC) \
		| cut -d : -f 1` \
		> $(GEN_OUT)
	@cat $(GEN_FILE) \
		| awk 'BEGIN{FS=";"}{if($$6!=""){printf("decomposition(\"%s\") -> \
		\"%s\";\n", $$6, $$1)}}' \
		| sort \
		| uniq -w 25 \
		>> $(GEN_OUT)
	@echo "decomposition(_) -> false." >> $(GEN_OUT)
	@echo "" >> $(GEN_OUT)
	@cat $(GEN_FILE) \
		| awk 'BEGIN{FS=";"}{if($$1!=""){printf("lookup1(\"%s\") ->\
		{\"%s\",\"%s\",\"%s\"};\n", $$1, $$4, $$6, $$14)}}' \
		| sort \
		| uniq -w 25 \
		>> $(GEN_OUT)
	@echo "lookup1(_) -> false." >> $(GEN_OUT)

=== _build/default/lib/mochiweb/Makefile ===
PREFIX:=../
DEST:=$(PREFIX)$(PROJECT)

REBAR=./rebar

.PHONY: all edoc test clean build_plt dialyzer app

all:
	@$(REBAR) prepare-deps

edoc:
	@$(REBAR) doc

test:
	@rm -rf .eunit
	@mkdir -p .eunit
	@$(REBAR) eunit

clean:
	@$(REBAR) clean

app:
	@$(REBAR) -r create template=mochiwebapp dest=$(DEST) appid=$(PROJECT)

=== _build/default/lib/parse_trans/Makefile ===
REBAR=$(shell which rebar || echo ./rebar)

.PHONY: rel all deps clean

all: deps compile

compile:
	$(REBAR) compile

deps:
	./rebar get-deps

clean:
	$(REBAR) clean

test:
	$(REBAR) eunit

doc:
	$(REBAR) doc

## op-panel 0.30~dfsg

=== debian/changelog ===
op-panel (0.30~dfsg-3ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/ :
      + 04_callerid.dpatch : Print callerid name and number
      + 05_register.dpatch : Grey out phones that don't have an IP address
      + 07_ming43_buttons.dpatch : Gradient buttons for Ming 0.4.3
      + 08_sampleconfig.dpatch : Improved sample config files
    - Modify all the patches to fit properly with the Debian patches
    - Removed patch 06_ming43.dpatch as it is now in Debian.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Fri, 12 Nov 2010 08:43:12 +0300

op-panel (0.30~dfsg-3) unstable; urgency=low

  [ Gabriele Giacone ]
  * Team upload.
  * Added patch to remove SWFTEXTFIELD_USEFONT refs (Closes: #582377).
  * Standards version to 3.9.1.
  * Forced source format to 1.0.
  * Fixed init script for dependency based boot sequence.

  [ Tzafrir Cohen ]
  * Use a @debian.org email.
  * Dpkg V3 format. Refresh patches while we're at it.

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 16 Aug 2010 01:12:49 +0300

op-panel (0.30~dfsg-2ubuntu1) lucid; urgency=low

  * Merge from Debian (pkgvoip svn)
  * New patches:
    * 04_callerid.dpatch : Print callerid name and number
    * 05_register.dpatch : Grey out phones that don't have an IP address
    * 06_ming43.dpatch : Correct code to build with Ming 0.4.3
    * 07_ming43_buttons.dpatch : Gradient buttons for Ming 0.4.3
    * 08_sampleconfig.dpatch : Improved sample config files
  * Modified patch 2 to not re-patch the op_buttons.cfg file

 -- Jean-Michel Dault <jmdault@revolutionlinux.com>  Tue, 19 Jan 2010 14:11:51 -0500

op-panel (0.30~dfsg-2) unstable; urgency=low

  [ Alejandro Rios P. ]
  * New ming can use TTF fonts, so we won't
    use ming-fonts-dejavu anymore (Closes: #560635).
  * Added ${misc:Depends} to op-panel binary.
  * Move op_server to op_server.pl in debian/install.

  [ Tzafrir Cohen ]
  * Use dh_link and dh_install rather than direct copying files

 -- Alejandro Rios P. <alerios@debian.org>  Sat,  02 Dec 2009 14:49:31 -0500

op-panel (0.30~dfsg-1) unstable; urgency=high

  * New upstream release.

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #472658)
  * Add myself to uploaders.
  * Fix bashism in postinst script (Victor Seva) (Closes: #453727).
  * Documented patches we use.
  * Use binary-indep rules rather than binary-arch.
  * Bump standards version to 3.8.0 (no change needed).
  * wget -N conflicts with -O (Closes: #482175).
  * Fix get-orig-source for ~dfsg.

  [ Patrick Matthäi ]
  * Do not ignore errors in postrm script.
    Thanks lintian.

  [ Alejandro Rios P. ]
  * Remove prototype.js and symlink to libjs-prototype (Closes: #475294).
  * Remove scriptaculous.js and symlink to libjs-scriptaculous
    to make lintian happy.
  * Don't install files under /var/www (Closes: #553551).
  * Depend on libjs-prototype >= 1.6.0.2 to fix CVE-2007-2383 and
    CVE-2008-7220, urgency=high (Closes: #555234).
  * Bump standards version to 3.8.3:
     * Create /var/run/op-panel on init script.
     * Added debian/README.source to describe dpatch usage.

 -- Alejandro Rios P. <alerios@debian.org>  Sat,  14 Nov 2009 17:49:31 -0500

op-panel (0.27.dfsg-2) unstable; urgency=low

  * prerm: remove alternatives only if they exist (Closes: #434598)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 01 Sep 2007 19:53:05 -0500

op-panel (0.27.dfsg-1) unstable; urgency=low

  * New upstream version: 0.27
  * Added debian/watch

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 27 Apr 2007 17:54:34 -0500

op-panel (0.26.dfsg-6) unstable; urgency=medium

  * Included missing license statements on copyright (Closes: #409570).

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Sat,  3 Feb 2007 17:49:31 -0500

op-panel (0.26.dfsg-5) unstable; urgency=high

  * Added LSB part to init script.
  * Removed unneeded debian/todo file
  * Added missing stuff on debian/copyright.
  * Use asterisk user instead of op-panel to allow restarting
    for processes on asterisk group (say daestar, freepbx, etc.) (Closes: #398380).

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Tue, 14 Nov 2006 00:50:06 -0500

op-panel (0.26.dfsg-4) unstable; urgency=low

  * Spelling mistake in package description (Closes: #390244)
  * Updated ming version dependencies

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 26 Oct 2006 00:46:28 -0500

op-panel (0.26.dfsg-3) unstable; urgency=low

  * Moved op-panel .pid file to /var/run/op-panel

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 13 Oct 2006 10:07:40 -0500

op-panel (0.26.dfsg-2) unstable; urgency=low

  [Diego Iastrubni]
  * This package provides a manager user for asterisk
  * Now op-panel runs with a separate user.
  * Improved postinst.
 
  [Kilian Krause]
  * fix clean target in debian/rules:68: *** missing separator 

  [Alejandro Rios]
  * Fixed man page and updated README.Debian
  * Remove all alternatives at package removal.
  * Changed /var/www/ op-panel links to flash and dhtml frontends.
  * Fixed init file so it won't break on upgrading, purging, etc. Closes: #386638

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Sun, 10 Sep 2006 14:20:55 -0500

op-panel (0.26.dfsg-1) unstable; urgency=low
 
  [Santiago Ruano Rincón]
  * Fixed the ming's fonts dependencies

  [Alejandro Rios P.]
  * Initial Release, based on the Tzafrir Cohen's package. Closes: #323689

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Mon, 15 Aug 2006 15:29:55 -0500

=== debian/control ===
Source: op-panel
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Alejandro Rios P. <alerios@debian.org>, Kilian Krause <kilian@debian.org>,
 Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: perl (>= 5), libswf-perl (>= 0.3.0-8), ttf-dejavu-core
Standards-Version: 3.9.1
Homepage: http://www.asternic.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/op-panel/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/op-panel/?op=log

Package: op-panel
Architecture: all
Depends: perl (>= 5), adduser, libjs-prototype (>= 1.6.0.2), libjs-scriptaculous (>= 1.8.1), ${misc:Depends}
Recommends: asterisk
Enhances: destar
Description: switchboard type application for the Asterisk PBX
 Flash Operator Panel is a switchboard type application for
 the Asterisk PBX. It runs on a web browser with the flash plugin.
 .
 It is able to display information about your PBX activity in real time.
 The layout is configurable (button sizes and colors, icons, etc). You can
 have more than 100 buttons active per screen.
 .
 It also supports contexts: you can have one server running and many
 different client displays (for hosted PBX, different departments,
 etc). It can integrate with CRM software, by popping up a web page
 (and passing the CLID) when a specified button is ringing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for op-panel.
# Based on example file by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERSION:=$(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/~dfsg$$//')

FILENAME := op-panel_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := op-panel_$(UPVERSION).orig.tar.gz
URL := http://asternic.org/files/op_panel-$(UPVERSION).tar.gz

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	/usr/bin/perl ming-source/operator_panel.pl
	/usr/bin/perl ming-source/comunicator.pl
	if [ ! -r op_server ]; then mv op_server.pl op_server; fi
	/usr/bin/pod2man --section 8 op_server debian/op_server.8
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	
	# Add here commands to clean up after the build process.
	rm -f debian/op_server.8
	if [ -r op_server ]; then mv op_server op_server.pl; fi
	rm -f *.swf
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples op_buttons.cfg op_server.cfg op_astdb.cfg op_style.cfg extensions.conf.sample
	dh_install
	dh_link
	dh_installinit
	dh_installman debian/op_server.8
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Repacking as DFSG-free...
	@@mkdir -p ../tarballs/op_panel-$(UPVERSION).tmp/
	@@cd ../tarballs/op_panel-$(UPVERSION).tmp ; \
	tar xfz ../$(UPFILENAME)
	@@find ../tarballs/op_panel-$(UPVERSION).tmp -type f -name '*.swf'|xargs -r rm
	@@find ../tarballs/op_panel-$(UPVERSION).tmp -type f -name 'prototype.js'|xargs -r rm
	@@find ../tarballs/op_panel-$(UPVERSION).tmp -type f -name 'scriptaculous.js'|xargs -r rm
	@@cd ../tarballs/op_panel-$(UPVERSION).tmp ; \
	tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/op_panel-$(UPVERSION).tmp/

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

=== debian/watch ===
version=3
opts=uversionmangle=s/^/0./,dversionmangle=s/[\.~]dfsg// \
 http://www.asternic.org/download.php files/op_panel-0.(.*)\.tar\.gz debian svn-upgrade

## op-panel 18.02.0.rc13.105.g329785e

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,8 @@
 REL_DIRS         = _build/default/rel
 OVERLAY_VARS    ?= --overlay_vars=rel/vars.config
 
+BUILD_VERSION := $(subst $(shell git describe --tags --abbrev=0)-,,$(shell git describe --tags --long))
+
 all: rel
 
 .PHONY: upgrade
@@ -60,8 +62,8 @@
 .PHONY: template
 template:
 	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/pkg.vars.config.template
-	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/vars.config.template
 	$(TEMPLATE_SCRIPT) $(TEMPLATE_CONFIG) ./rel/files/app.config.template
+	sed "s/{build_version, \".*\"}/{build_version, \"${BUILD_VERSION}\"}/" ./rel/vars.config.template > ./rel/vars.config
 	$(TEMPLATE_SCRIPT) rel/vars.config ./rel/files/vm.args.template
 
 config:
@@ -69,6 +71,15 @@
 
 gui-static:
 	$(LIB_DIR)/gui/pull-gui.sh gui-config.sh
+
+
+##
+## Submodules
+##
+
+submodules:
+	git submodule sync --recursive ${submodule}
+	git submodule update --init --recursive ${submodule}
 
 
 ##
@@ -124,6 +135,7 @@
 	mkdir -p package
 	rm -rf package/$(PKG_ID)
 	git archive --format=tar --prefix=$(PKG_ID)/ $(PKG_REVISION) | (cd package && tar -xf -)
+	git submodule foreach --recursive "git archive --prefix=$(PKG_ID)/\$$path/ \$$sha1 | (cd \$$toplevel/package && tar -xf -)"
 	${MAKE} -C package/$(PKG_ID) config upgrade gui-static template
 	for dep in package/$(PKG_ID) package/$(PKG_ID)/$(LIB_DIR)/*; do \
 	     echo "Processing dependency: `basename $${dep}`"; \

=== _build/default/lib/gui/Makefile ===
--- 
+++ 
@@ -32,3 +32,12 @@
 	./rebar3 do eunit skip_deps=true suites=${SUITES}, cover
 ## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
 	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done
+
+##
+## Submodules
+##
+
+submodules:
+	git submodule sync --recursive ${submodule}
+	git submodule update --init --recursive ${submodule}
+

## op-panel 18.02.0.rc13.370.g6ad818b

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 .PHONY: eunit
 eunit: config
-	$(REBAR) do eunit skip_deps=true suites=${SUITES}, cover
+	$(REBAR) do eunit skip_deps=true --suite=${SUITES}, cover
 ## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
 	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done

=== node_package/Makefile ===
##
## Export all variables to sub-invocation
##
export

OS            = $(shell uname -s)
ERLANG_BIN   ?= $(shell dirname $(shell which erl))
DEPS_DIR     ?= deps

##
## Support RPM and Debian based linux systems
##
ifeq ($(OS),Linux)
ARCH          = $(shell uname -m)
ISRPM         = $(shell cat /etc/redhat-release 2> /dev/null)
ISDEB         = $(shell cat /etc/debian_version 2> /dev/null)
ISSLES        = $(shell cat /etc/SuSE-release 2> /dev/null)
ifneq ($(ISRPM),)
OSNAME        = RedHat
PKGERDIR      = rpm
BUILDDIR      = rpmbuild
else
ifneq ($(ISDEB),)
OSNAME        = Debian
PKGERDIR      = deb
BUILDDIR      = debuild
else
ifneq ($(ISSLES),)
OSNAME        = SLES
PKGERDIR      = rpm
BUILDDIR      = rpmbuild
endif  # SLES
endif  # deb
endif  # rpm
endif  # linux

ifeq ($(OS),Darwin)          # OSX
OSNAME        = OSX
ARCH          = $(shell file `which erlc` | grep -c x86_64 2> /dev/null | awk \
                       '{if ($$1 == "0") {print "i386"} else {print "x86_64"}}')
PKGERDIR      = osx
BUILDDIR      = osxbuild
endif

ifeq ($(OS),FreeBSD)
OSNAME        = FreeBSD
ARCH          = $(shell uname -m)
BUILDDIR      = fbsdbuild
PKGNG         = $(shell uname -r | awk -F. '{ print ($$1 > 9) ? "true" : "false" }')
ifeq ($(PKGNG),true)        # FreeBSD 10.0 or greater
PKGERDIR      = fbsdng
else                        # Older FreeBSD pkg_add
PKGERDIR      = fbsd
endif
endif

ifeq ($(OS),SunOS)         # Solaris flavors
KERNELVER     = $(shell uname -v | grep -c joyent 2> /dev/null)
ARCH          = $(shell file `which erlc` | grep -c 64-bit 2> /dev/null | awk \
                    '{if ($$1 == "0") {print "i386"} else {print "x86_64"}}')

ifneq ($(KERNELVER),0)       # SmartOS
OSNAME        = SmartOS
PKGERDIR      = smartos
BUILDDIR      = smartosbuild
else                         # Solaris / OmniOS
DISTRO        = $(shell head -1 /etc/release|awk \
                   '{if ($$1 == "OmniOS") {print $$1} else {print "Solaris"}}')
OSNAME        = ${DISTRO}
PKGERDIR      = solaris
BUILDDIR      = solarisbuild
endif

endif

DATE          = $(shell date +%Y-%m-%d)

# Default the package build version to 1 if not already set
PKG_BUILD    ?= 1

.PHONY: ostype varcheck

## Call platform dependent makefile
ostype: varcheck setversion set_build_version
	$(if $(PKGERDIR),,$(error "Operating system '$(OS)' not supported by node_package"))
	$(MAKE) -f $(PKG_ID)/node_package/priv/templates/$(PKGERDIR)/Makefile.bootstrap

## Set build version
set_build_version:
	echo "{build_version, \"$(BUILD_VERSION)\"}." >> $(PKG_ID)/node_package/priv/templates/$(PKGERDIR)/vars.config

## Set app version
setversion: varcheck
	echo "{app_version, \"$(PKG_VERSION)\"}." >> $(PKG_ID)/node_package/priv/templates/$(PKGERDIR)/vars.config

## Check required settings before continuing
varcheck:
	$(if $(PKG_VERSION),,$(error "Variable PKG_VERSION must be set and exported, see basho/node_package readme"))
	$(if $(PKG_ID),,$(error "Variable PKK_ID must be set and exported, see basho/node_package readme"))

=== _build/default/lib/cowboy/Makefile ===
# See LICENSE for licensing information.

PROJECT = cowboy
PROJECT_DESCRIPTION = Small, fast, modern HTTP server.
PROJECT_VERSION = 2.3.0
PROJECT_REGISTERED = cowboy_clock

# Options.

PLT_APPS = public_key ssl
CT_OPTS += -ct_hooks cowboy_ct_hook [] # -boot start_sasl

# Dependencies.

LOCAL_DEPS = crypto

DEPS = cowlib ranch
dep_cowlib = git https://github.com/ninenines/cowlib 2.2.1
dep_ranch = git https://github.com/ninenines/ranch 1.4.0

DOC_DEPS = asciideck

TEST_DEPS = $(if $(CI_ERLANG_MK),ci.erlang.mk) ct_helper gun proper
dep_ct_helper = git https://github.com/extend/ct_helper master
dep_gun = git https://github.com/ninenines/gun master

# CI configuration.

dep_ci.erlang.mk = git https://github.com/ninenines/ci.erlang.mk master
DEP_EARLY_PLUGINS = ci.erlang.mk

AUTO_CI_OTP ?= OTP-19+
AUTO_CI_HIPE ?= OTP-LATEST
# AUTO_CI_ERLLVM ?= OTP-LATEST
AUTO_CI_WINDOWS ?= OTP-19+

# Standard targets.

include erlang.mk

# Compile options.

ERLC_OPTS += +warn_missing_spec +warn_untyped_record
TEST_ERLC_OPTS += +'{parse_transform, eunit_autoexport}'

# Generate rebar.config on build.

app:: rebar.config

# Dialyze the tests.

# DIALYZER_OPTS += --src -r test

# Use erl_make_certs from the tested release during CI.

ci-setup:: clean deps test-deps
	$(gen_verbose) cp ~/.kerl/builds/$(CI_OTP_RELEASE)/otp_src_git/lib/ssl/test/erl_make_certs.erl deps/ct_helper/src/

=== _build/default/lib/cowlib/Makefile ===
# See LICENSE for licensing information.

PROJECT = cowlib
PROJECT_DESCRIPTION = Support library for manipulating Web protocols.
PROJECT_VERSION = 2.2.1

# Options.

#ERLC_OPTS += +bin_opt_info
ifdef HIPE
	ERLC_OPTS += -smp +native
	TEST_ERLC_OPTS += -smp +native
endif

DIALYZER_OPTS = -Werror_handling -Wunmatched_returns

# Dependencies.

LOCAL_DEPS = crypto

TEST_DEPS = $(if $(CI_ERLANG_MK),ci.erlang.mk) horse proper
dep_horse = git https://github.com/ninenines/horse.git master

# CI configuration.

dep_ci.erlang.mk = git https://github.com/ninenines/ci.erlang.mk master
DEP_EARLY_PLUGINS = ci.erlang.mk

AUTO_CI_OTP ?= OTP-19+
AUTO_CI_HIPE ?= OTP-LATEST
# AUTO_CI_ERLLVM ?= OTP-LATEST
AUTO_CI_WINDOWS ?= OTP-19+

# Standard targets.

include erlang.mk

# Compile options.

TEST_ERLC_OPTS += +'{parse_transform, eunit_autoexport}' +'{parse_transform, horse_autoexport}'

# Mimetypes module generator.

GEN_URL = http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
GEN_SRC = src/cow_mimetypes.erl.src
GEN_OUT = src/cow_mimetypes.erl

.PHONY: gen

gen:
	$(gen_verbose) cat $(GEN_SRC) \
		| head -n `grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		> $(GEN_OUT)
	$(gen_verbose) wget -qO - $(GEN_URL) \
		| grep -v ^# \
		| awk '{for (i=2; i<=NF; i++) if ($$i != "") { \
			split($$1, a, "/"); \
			print "all_ext(<<\"" $$i "\">>) -> {<<\"" \
				a[1] "\">>, <<\"" a[2] "\">>, []};"}}' \
		| sort \
		| uniq -w 25 \
		>> $(GEN_OUT)
	$(gen_verbose) cat $(GEN_SRC) \
		| tail -n +`grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		>> $(GEN_OUT)

# Performance testing.

ifeq ($(MAKECMDGOALS),perfs)
.NOTPARALLEL:
endif

.PHONY: perfs

perfs: test-build
	$(gen_verbose) erl -noshell -pa ebin -eval 'horse:app_perf($(PROJECT)), erlang:halt().'

=== _build/default/lib/enacl_p/Makefile ===
REBAR=rebar3

.PHONY: compile
compile:
	$(REBAR) compile | sed -e 's|_build/default/lib/enacl/||g'

.PHONY: clean
clean:
	$(REBAR) clean

=== _build/default/lib/gen_smtp/Makefile ===
FILES = $(shell ls ebin/*.beam | grep -v smtp_rfc822_parse)

compile:
	@./rebar3 compile

clean:
	@./rebar3 clean -a

test:
	ERL_AFLAGS="-s ssl" 
	./rebar3 eunit

dialyze:
	dialyzer $(FILES)

.PHONY: compile clean test dialyze

=== _build/default/lib/gui/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ##
 
 eunit:
-	./rebar3 do eunit skip_deps=true suites=${SUITES}, cover
+	./rebar3 do eunit skip_deps=true --suite=${SUITES}, cover
 ## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
 	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done

=== _build/default/lib/ranch/Makefile ===
# See LICENSE for licensing information.

PROJECT = ranch
PROJECT_DESCRIPTION = Socket acceptor pool for TCP protocols.
PROJECT_VERSION = 1.4.0
PROJECT_REGISTERED = ranch_server

# Options.

COMPILE_FIRST = ranch_transport
CT_OPTS += -pa test -ct_hooks ranch_ct_hook []
PLT_APPS = crypto public_key ssl

CI_OTP ?= \
	OTP_R16B OTP_R16B01 OTP_R16B02 OTP_R16B03-1 \
	OTP-17.1.2 OTP-17.2.2 OTP-17.3.4 OTP-17.4.1 OTP-17.5.6.6 \
	OTP-18.0.3 OTP-18.1.5 OTP-18.2.4.1 OTP-18.3.4.5 \
	OTP-19.0.7 OTP-19.1.6 OTP-19.2.3 OTP-19.3.5 \
	OTP-20.0-rc2
#CI_HIPE ?= $(lastword $(CI_OTP))
#CI_ERLLVM ?= $(CI_HIPE)

# Dependencies.

LOCAL_DEPS = ssl

DOC_DEPS = asciideck

TEST_DEPS = ct_helper
dep_ct_helper = git https://github.com/ninenines/ct_helper master

# Standard targets.

include erlang.mk

# Also dialyze the tests.

DIALYZER_OPTS += --src -r test

# Use erl_make_certs from the tested release.

ci-setup:: $(DEPS_DIR)/ct_helper
	cp ~/.kerl/builds/$(CI_OTP_RELEASE)/otp_src_git/lib/ssl/test/erl_make_certs.erl deps/ct_helper/src/

=== node_package/priv/templates/deb/Makefile ===

default:
	ln -sf $(PKG_ID).tar.gz ../{{package_name}}_$(PKG_VERSION).orig.tar.gz
	export DEBFULLNAME="{{vendor_contact_name}}"; \
	export DEBEMAIL="{{vendor_contact_email}}"; \
	dch  --create --package {{package_name}} -v "$(PKG_VERSION)-$(PKG_BUILD)" \
             "Build from $(PKG_VERSION)";\
	debuild --prepend-path=$(ERLANG_BIN) \
		-e REVISION="$(PKG_VERSION)" \
		-e RELEASE="$(PKG_BUILD)" \
		-e REBAR="$(REBAR)" \
		{{debuild_extra_options}} \
		-uc -us -S
	mkdir -p ../packages
	cd .. && sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j4 *$(PKG_VERSION)-$(PKG_BUILD).dsc"
	cd .. && mv *$(PKG_VERSION).orig.tar.gz packages
	cd .. && mv *$(PKG_VERSION)-$(PKG_BUILD).dsc packages
	cd .. && mv *$(PKG_VERSION)-$(PKG_BUILD).diff.gz packages
	cd .. && mv *$(PKG_VERSION)-$(PKG_BUILD)_amd64.changes packages
	cd .. && mv *$(PKG_VERSION)-$(PKG_BUILD)_*.deb packages
	cd ../packages && \
		for debfile in *.deb; do \
			sha256sum $${debfile} > $${debfile}.sha \
		; done

=== _build/default/lib/enacl_p/c_src/Makefile ===
# Based on c_src.mk from erlang.mk by LoÃƒÂ¯c Hoguin <essen@ninenines.eu>

PROJECT ?= enacl_p_nif

ERTS_INCLUDE_DIR ?= $(shell erl -noshell -s init stop -eval "io:format(\"~s/erts-~s/include/\", [code:root_dir(), erlang:system_info(version)]).")
ERL_INTERFACE_INCLUDE_DIR ?= $(shell erl -noshell -s init stop -eval "io:format(\"~s\", [code:lib_dir(erl_interface, include)]).")
ERL_INTERFACE_LIB_DIR ?= $(shell erl -noshell -s init stop -eval "io:format(\"~s\", [code:lib_dir(erl_interface, lib)]).")

C_SRC_DIR = $(CURDIR)
C_SRC_OUTPUT ?= $(CURDIR)/../priv/$(PROJECT).so

# System type and C compiler/flags.

UNAME_SYS := $(shell uname -s)
ifeq ($(UNAME_SYS), Darwin)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -arch x86_64 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -arch x86_64 -finline-functions -Wall
	LDFLAGS ?= -arch x86_64 -flat_namespace -undefined suppress
else ifeq ($(UNAME_SYS), FreeBSD)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes -I /usr/local/include
	CXXFLAGS ?= -O3 -finline-functions -Wall
	LDFLAGS ?= -fPIC -L /usr/local/lib
else ifeq ($(UNAME_SYS), Linux)
	CC ?= gcc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
else ifeq ($(UNAME_SYS), SunOS)
	CC = gcc
	CFLAGS ?= -m64 -I/opt/local/include -O2 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFALGS ?= -O2 -finline-function -Wall
	LDFLAGS ?= -m64 -fPIC -L /opt/local/lib
endif

CFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)
CXXFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)

LDLIBS += -L $(ERL_INTERFACE_LIB_DIR) -lerl_interface -lei -lsodium
LDFLAGS += -shared

# Verbosity.

c_verbose_0 = @echo " C     " $(?F);
c_verbose = $(c_verbose_$(V))

cpp_verbose_0 = @echo " CPP   " $(?F);
cpp_verbose = $(cpp_verbose_$(V))

link_verbose_0 = @echo " LD    " $(@F);
link_verbose = $(link_verbose_$(V))

SOURCES := $(shell find $(C_SRC_DIR) -type f \( -name "*.c" -o -name "*.C" -o -name "*.cc" -o -name "*.cpp" \))
OBJECTS = $(addsuffix .o, $(basename $(SOURCES)))

COMPILE_C = $(c_verbose) $(CC) $(CFLAGS) $(CPPFLAGS) -c
COMPILE_CPP = $(cpp_verbose) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -c

$(C_SRC_OUTPUT): $(OBJECTS)
	$(link_verbose) $(CC) $(OBJECTS) $(LDFLAGS) $(LDLIBS) -o $(C_SRC_OUTPUT)

%.o: %.c
	$(COMPILE_C) $(OUTPUT_OPTION) $<

%.o: %.cc
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.C
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.cpp
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

clean:
	@rm -f $(C_SRC_OUTPUT) $(OBJECTS)

=== _build/default/lib/cowboy/examples/eventsource/Makefile ===
PROJECT = eventsource
PROJECT_DESCRIPTION = Cowboy EventSource example
PROJECT_VERSION = 1

DEPS = cowboy
dep_cowboy_commit = master

include ../../erlang.mk

=== _build/default/lib/cowboy/examples/rest_pastebin/Makefile ===
PROJECT = rest_pastebin
PROJECT_DESCRIPTION = Cowboy REST Pastebin example
PROJECT_VERSION = 1

DEPS = cowboy
dep_cowboy_commit = master

include ../../erlang.mk
